package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.CourseTableDataBean;

import java.util.Date;
import java.util.List;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface CourseTableContract {

    interface CourseTableView extends BaseView {
        void onGetCourseDateByMonthSuccess(List<String> datas);

        void onGetCourseSchedulesWithDateSuccess(CourseTableDataBean courseTableDataBean);

        void onGetCourseDateByMonthError();

        void onUpDateCourseDataSuccess();
    }

    interface Presenter {
        void getCourseScheduleDateByMonth(String month);

        void getCourseSchedulesWithDate(Date date);

        void updateCourseTime(Date date, String courseId);
    }
}
